﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ToolTipBug
{
    public partial class Form1 : Form
    {
        FrmChart[] _charts ;
        DataTable _table;

        public Form1()
        {
            InitializeComponent();

            _charts = new FrmChart[2];
            _charts[0] = new FrmChart();
            _charts[1] = new FrmChart();

            _table = new DataTable();
            _table.BeginLoadData();
            _table.Columns.Add("Name", typeof(String));
            _table.Columns.Add("Value", typeof(Double));

            // add same data rows
            for( Int32 rowIdx = 0; rowIdx < 6; ++rowIdx )
            {
                DataRow row = _table.NewRow();
                char c = (char)('A' + rowIdx);
                String s = new string(c, 1);
                row[0] = s;
                row[1] = rowIdx + 1;
                _table.Rows.Add(row);
            }

            _table.EndLoadData();

            _charts[0].ultraChart1.DataSource = _table;
            _charts[0].ultraChart1.Data.SwapRowsAndColumns = true;
            _charts[0].ultraChart1.DataBind();
            _charts[1].ultraChart1.DataSource = _table;
            _charts[1].ultraChart1.Data.SwapRowsAndColumns = true;
            _charts[1].ultraChart1.DataBind();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // add splitter and two charts
            SplitContainer sc = AddSplitter(this.panel1, Orientation.Horizontal);
            AddChartToParent(_charts[0], sc.Panel1);
            AddChartToParent(_charts[1], sc.Panel2);
        }

        void AddChartToParent(FrmChart chart, Control parent)
        {
            chart.TopLevel = false;
            chart.Parent = parent;
            chart.Visible = true;
            chart.Dock = DockStyle.Fill;
        }

        SplitContainer AddSplitter(Control parent, Orientation orientation)
        {
            SplitContainer sc = new SplitContainer();
            sc.Orientation = orientation;
            sc.Parent = parent;
            sc.Dock = DockStyle.Fill;
            return sc;
        }
    }
}
